Public Class RequisicionDePagoCE
    Private _CodigoInversion As String = String.Empty
    Private _AFavorDe As String = String.Empty
    Private _FormaDePago As String = String.Empty
    Private _MontoDelPago As Double = 0
    Private _FechaDelPago As Date = Date.Now.Date
    Private _CodigoBanco As String = String.Empty
    Private _NumeroCuenta As String = String.Empty
    Private _SaldoContable As Double = 0
    Private _Concepto As String = String.Empty
    Private _UsuarioSolicitante As String = String.Empty
    Private _CodigoReq As String = String.Empty

    Public Property CodigoInversion As String
        Get
            Return _CodigoInversion
        End Get
        Set(ByVal Value As String)
            If (_CodigoInversion <> Value) Then
                _CodigoInversion = Value
            End If
        End Set
    End Property

    Public Property AFavorDe As String
        Get
            Return _AFavorDe
        End Get
        Set(ByVal Value As String)
            If (_AFavorDe <> Value) Then
                _AFavorDe = Value
            End If
        End Set
    End Property

    Public Property FormaDePago As String
        Get
            Return _FormaDePago
        End Get
        Set(ByVal Value As String)
            If (_FormaDePago <> Value) Then
                _FormaDePago = Value
            End If
        End Set
    End Property

    Public Property MontoDelPago As Double
        Get
            Return _MontoDelPago
        End Get
        Set(ByVal Value As Double)
            If (_MontoDelPago <> Value) Then
                _MontoDelPago = Value
            End If
        End Set
    End Property

    Public Property FechaDelPago As DateTime
        Get
            Return _FechaDelPago
        End Get
        Set(ByVal Value As DateTime)
            If (_FechaDelPago <> Value) Then
                _FechaDelPago = Value
            End If
        End Set
    End Property

    Public Property CodigoBanco As String
        Get
            Return _CodigoBanco
        End Get
        Set(ByVal Value As String)
            If (_CodigoBanco <> Value) Then
                _CodigoBanco = Value
            End If
        End Set
    End Property

    Public Property NumeroCuenta As String
        Get
            Return _NumeroCuenta
        End Get
        Set(ByVal Value As String)
            If (_NumeroCuenta <> Value) Then
                _NumeroCuenta = Value
            End If
        End Set
    End Property

    Public Property SaldoContable As Double
        Get
            Return _SaldoContable
        End Get
        Set(ByVal Value As Double)
            If (_SaldoContable <> Value) Then
                _SaldoContable = Value
            End If
        End Set
    End Property

    Public Property Concepto As String
        Get
            Return _Concepto
        End Get
        Set(ByVal Value As String)
            If (_Concepto <> Value) Then
                _Concepto = Value
            End If
        End Set
    End Property
    Public Property UsuarioSolicitante As String
        Get
            Return _UsuarioSolicitante
        End Get
        Set(value As String)
            _UsuarioSolicitante = value
        End Set
    End Property



    Public Property CodigoReq As String
        Get
            Return _CodigoReq
        End Get
        Set(value As String)
            _CodigoReq = value
        End Set
    End Property
End Class
